Package virtuoso.jdbc4

## Class VirtuosoTime

- java.lang.Object
- - java.util.Date
  - - java.sql.Time
    - - virtuoso.jdbc4.VirtuosoTime

    public class VirtuosoTime
    extends java.sql.Time

See Also:
  Serialized Form

### Constructor Summary

Constructors
`VirtuosoTime​(long time)`
`VirtuosoTime​(long time, int tz)`
`VirtuosoTime​(long time, int tz, boolean with_tz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VirtuosoTime` `clone​()`
`int` `getTimezone​()`
`java.lang.String` `toXSD_String​()`
`boolean` `withTimezone​()`

### Methods inherited from class java.util.Date

`after, before, compareTo, equals, from, getHours, getMinutes, getSeconds, getTime, getTimezoneOffset, hashCode, parse, setHours, setMinutes, setSeconds, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.sql.Time

`getDate, getDay, getMonth, getYear, setDate, setMonth, setTime, setYear, toInstant, toLocalTime, toString, valueOf, valueOf`

### Constructor Detail

#### VirtuosoTime

    public VirtuosoTime​(long time)

#### VirtuosoTime

    public VirtuosoTime​(long time,
                        int tz)

#### VirtuosoTime

    public VirtuosoTime​(long time,
                        int tz,
                        boolean with_tz)

### Method Detail

#### withTimezone

    public boolean withTimezone​()

#### getTimezone

    public int getTimezone​()

#### clone

    public VirtuosoTime clone​()

Overrides:
  `clone` in class `java.util.Date`

#### toXSD_String

    public java.lang.String toXSD_String​()